%define pypi_name psycopg2

Summary:        PostgreSQL database adapter for Python
Name:           python-%{pypi_name}
Version:        2.9.10
Release:        %mkrel 2
Group:          Development/Python
License:        GPLv2 and ZPLv2.1 and BSD
URL:            https://pypi.org/project/psycopg2/
Source0:        %{pypi_source}
Patch0:         psycopg2-2.8.2-linking.patch
BuildRequires:  postgresql-devel

%description
psycopg is a PostgreSQL database adapter for the Python programming
language (just like pygresql and popy.) It was written from scratch with
the aim of being very small and fast, and stable as a rock. The main
advantages of psycopg are that it supports the full Python DBAPI-2.0 and
being thread safe at level 2.

%package -n python3-%{pypi_name}
Summary:        PostgreSQL database adapter for Python 3
Group:          Development/Python
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-devel
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
psycopg is a PostgreSQL database adapter for the Python programming
language (just like pygresql and popy.) It was written from scratch with
the aim of being very small and fast, and stable as a rock. The main
advantages of psycopg are that it supports the full Python DBAPI-2.0 and
being thread safe at level 2.

%package doc
Summary:        Documentation for psycopg python PostgreSQL database adapter
Group:          Development/Python
BuildArch:      noarch
Requires:       python3-%{pypi_name} >= %{version}-%{release}

%description doc
Documentation files for the psycopg python PostgreSQL database adapter.

%prep
%autosetup -p1 -n %{pypi_name}-%{version}


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

# Fix for wrong-file-end-of-line-encoding problem; upstream also must fix this.
for i in `find doc -iname "*.html"`; do sed -i 's/\r//' $i; done
for i in `find doc -iname "*.css"`; do sed -i 's/\r//' $i; done

# Get rid of a "hidden" file that rpmlint complains about
rm -f doc/html/.buildinfo

%install
%pyproject_install
%pyproject_save_files psycopg2

rm -rf %{buildroot}%{python3_sitearch}/psycopg2/tests

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc AUTHORS NEWS README.rst

%files doc
%doc doc/


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 2.9.10-2.mga10
+ Revision: 2239762
- Mageia 10 Mass Rebuild

* Sun Mar 02 2025 daviddavid <daviddavid> 2.9.10-1.mga10
+ Revision: 2156782
- new version: 2.9.10
+ wally <wally>
- rebuild for python3.13

* Fri Jun 28 2024 papoteur <papoteur> 2.9.9-1.mga10
+ Revision: 2077719
- new version 2.9.9

* Sun Dec 17 2023 papoteur <papoteur> 2.9.6-2.mga10
+ Revision: 2018562
- rebuild for python 3.12
- new {paquet[1]}

* Sat Mar 19 2022 umeabot <umeabot> 2.9.3-2.mga9
+ Revision: 1799227
- Mageia 9 Mass Rebuild

* Sun Feb 20 2022 mrambo3501 <mrambo3501> 2.9.3-1.mga9
+ Revision: 1781727
- version 2.9.3
- rebuild for python-3.10

* Tue Aug 31 2021 wally <wally> 2.9.1-1.mga9
+ Revision: 1743778
- new version 2.9.1

* Sat Mar 20 2021 daviddavid <daviddavid> 2.8.6-2.mga9
+ Revision: 1705802
- rebuild for python 3.9

* Sat Nov 21 2020 guillomovitch <guillomovitch> 2.8.6-1.mga8
+ Revision: 1648107
- new version 2.8.6

* Tue Apr 28 2020 daviddavid <daviddavid> 2.8.5-2.mga8
+ Revision: 1572901
- update description

* Tue Apr 28 2020 daviddavid <daviddavid> 2.8.5-1.mga8
+ Revision: 1572826
- new version: 2.8.5

* Tue Feb 18 2020 umeabot <umeabot> 2.8.4-2.mga8
+ Revision: 1538098
- Mageia 8 Mass Rebuild

* Wed Nov 13 2019 daviddavid <daviddavid> 2.8.4-1.mga8
+ Revision: 1459729
- new version: 2.8.4

* Thu Oct 10 2019 daviddavid <daviddavid> 2.8.3-1.mga8
+ Revision: 1450910
- new version: 2.8.3

* Tue Sep 17 2019 daviddavid <daviddavid> 2.8.2-5.mga8
+ Revision: 1443126
- add patch to fix linking

* Tue Sep 17 2019 tv <tv> 2.8.2-4.mga8
+ Revision: 1443028
- "fix" underlinking
- rebuild for python-3.8
- drop python2 subpkg

* Wed Aug 28 2019 daviddavid <daviddavid> 2.8.2-2.mga8
+ Revision: 1434668
- rename python-psycopg2 to python2-psycopg2

* Sat Apr 20 2019 wally <wally> 2.8.2-1.mga7
+ Revision: 1393719
- new version 2.8.2

* Mon Jan 07 2019 shlomif <shlomif> 2.7.6.1-1.mga7
+ Revision: 1351206
- Rebuild for python3 3.7

* Fri Oct 12 2018 wally <wally> 2.7.5-2.mga7
+ Revision: 1319808
- obsolete old python-psycopg 1.1.x

* Sun Sep 30 2018 joequant <joequant> 2.7.5-1.mga7
+ Revision: 1312534
- upgrade to 2.7.5
+ umeabot <umeabot>
- Mageia 7 Mass Rebuild

* Sat Aug 05 2017 pterjan <pterjan> 2.6.1-4.mga7
+ Revision: 1135556
- Rebuild for python 3.6

* Fri Feb 12 2016 umeabot <umeabot> 2.6.1-3.mga6
+ Revision: 958629
- Mageia 6 Mass Rebuild

* Thu Oct 08 2015 tv <tv> 2.6.1-2.mga6
+ Revision: 887750
- rebuild for python 3.5

* Sat Sep 26 2015 philippem <philippem> 2.6.1-1.mga6
+ Revision: 883953
- fix README.rst
- update to 2.6.1

* Tue Nov 25 2014 cjw <cjw> 2.5.3-5.mga5
+ Revision: 799087
- rebuild against postgresql9.4

* Wed Oct 15 2014 umeabot <umeabot> 2.5.3-4.mga5
+ Revision: 746365
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 2.5.3-3.mga5
+ Revision: 729333
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 2.5.3-2.mga5
+ Revision: 688228
- Mageia 5 Mass Rebuild

* Sun Jul 06 2014 philippem <philippem> 2.5.3-1.mga5
+ Revision: 644176
- update to 2.5.3

* Sat May 31 2014 pterjan <pterjan> 2.5.2-2.mga5
+ Revision: 628909
- Rebuild for new Python

* Fri Mar 07 2014 philippem <philippem> 2.5.2-1.mga5
+ Revision: 600916
- Update to 2.5.2

* Tue Oct 22 2013 umeabot <umeabot> 2.5.1-3.mga4
+ Revision: 544096
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 2.5.1-2.mga4
+ Revision: 499129
- Rebuild to add different pythonegg provides for python 2 and 3

* Mon Aug 05 2013 philippem <philippem> 2.5.1-1.mga4
+ Revision: 464016
- Update to 2.5.1, add Python 3

* Sun Jan 13 2013 umeabot <umeabot> 2.4.6-2.mga3
+ Revision: 379288
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 23 2012 philippem <philippem> 2.4.6-1.mga3
+ Revision: 334288
- Update to 2.4.6

* Wed Feb 15 2012 philippem <philippem> 2.4.4-1.mga2
+ Revision: 209267
- Update to 2.4.4.

* Mon Jul 04 2011 ahmad <ahmad> 2.4.2-1.mga2
+ Revision: 118081
- Update to 2.4.2
- Update URL and Source urls
- Rediff patch0

* Sat Mar 26 2011 dmorgan <dmorgan> 2.3.2-1.mga1
+ Revision: 77549
- imported package python-psycopg2


* Tue Dec 28 2010 Guillaume Rousse <guillomovitch@mandriva.org> 2.3.2-1mdv2011.0
+ Revision: 625615
- update to new version 2.3.2

* Tue Nov 30 2010 Funda Wang <fwang@mandriva.org> 2.2.2-1mdv2011.0
+ Revision: 603245
- fix linkage

  + Guillaume Rousse <guillomovitch@mandriva.org>
    - update to new version 2.2.2

* Wed Nov 03 2010 Götz Waschk <waschk@mandriva.org> 2.0.13-3mdv2011.0
+ Revision: 592882
- fix file list

  + Michael Scherer <misc@mandriva.org>
    - rebuild for python 2.7

* Sat Nov 07 2009 Frederik Himpe <fhimpe@mandriva.org> 2.0.13-1mdv2010.1
+ Revision: 462522
- update to new version 2.0.13

* Sun Aug 09 2009 Frederik Himpe <fhimpe@mandriva.org> 2.0.12-1mdv2010.0
+ Revision: 413417
- update to new version 2.0.12

* Mon May 18 2009 Frederik Himpe <fhimpe@mandriva.org> 2.0.11-1mdv2010.0
+ Revision: 377268
- Update to new version 2.0.11

* Thu Mar 05 2009 Frederik Himpe <fhimpe@mandriva.org> 2.0.9-1mdv2009.1
+ Revision: 349096
- Update to new version 2.0.9

* Sun Jan 04 2009 Jérôme Soyer <saispo@mandriva.org> 2.0.8-1mdv2009.1
+ Revision: 324057
- New upstream release

* Fri Aug 08 2008 Thierry Vignaud <tv@mandriva.org> 2.0.7-2mdv2009.0
+ Revision: 269038
- rebuild early 2009.0 package (before pixel changes)

* Sun May 04 2008 Frederik Himpe <fhimpe@mandriva.org> 2.0.7-1mdv2009.0
+ Revision: 200808
- New upstream version

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Jul 17 2007 Bogdano Arendartchuk <bogdano@mandriva.com> 2.0.6-1mdv2008.0
+ Revision: 53010
- Import python-psycopg2

